#
# spec file for package golang-google-golangorg-appengine
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            appengine
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     google.golang.org/appengine

Name:           golang-google-golangorg-appengine
Version:        0.0.0+git20150702.e335b53
Release:        6.1
Summary:        Go App Engine for Managed VMs
License:        Apache-2.0
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

BuildRequires:  golang(golang.org/x/net/context)
Requires:       golang(golang.org/x/net/context)
BuildRequires:  golang(github.com/golang/protobuf/proto)
Requires:       golang(github.com/golang/protobuf/proto)

%{go_nostrip}
%{go_provides}

%description
This package supports the Go runtime for Managed VMs on App Engine. It provides
APIs for interacting with App Engine services.

%package -n appengine
Summary:        Go App Engine for Managed VMs
Group:          Development/Languages/Golang
AutoReqProv:    Off

%{go_exclusivearch}

%description -n appengine
This package supports the Go runtime for Managed VMs on App Engine. It provides
APIs for interacting with App Engine services.

%prep
%setup -q -n %{repo}-%{version}
rm -rf demos

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
#gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md LICENSE

%files -n appengine
%defattr(-,root,root)
%{_bindir}/aebundler
%{_bindir}/aedeploy

%changelog
* Fri Dec 16 2016 tboerger@suse.com
- Update to version 0.0.0+git20150702.e335b53:
  * appengine/delay: add error return value for delay.Call
  * Fix nested application of internal call overrides.
  * appengine/demo: Update samples.
  * appengine/internal: Split VersionID on "." instead of "_".
  * appengine/internal: Add unit test for BackgroundContext.
  * demos: rename "c" context variables to "ctx"
  * Update datastore.PropertyLoadSaver doc example.
  * Convert appengine_internal error types (APIError and CallError) to their appengine/internal equivalents.
  * Add internal/blobstore proto.
  * Add blobstore package.
* Fri Dec 16 2016 tboerger@suse.com
- Updated service definition
* Mon Dec  5 2016 tboerger@suse.com
- Disabled tests for now to get it reliable built
* Fri Dec  2 2016 tboerger@suse.com
- Recursively test all packages
* Wed Aug 17 2016 tboerger@suse.com
- Refactoed spec with a new unified layout
- Added rpmlintrc for common golang linting
* Sun Jul 12 2015 i@marguerite.su
- initial version 0.0.0+git20150702.e335b53
